subroutine sigvte_reco(te,n,sigv)
 
  use hatom_mod
  implicit NONE
 
  !  e-,H+ --> H0
  !  recombination <sigma*v>(Te)
  !  via table lookup
 
  integer, intent(in) :: n     ! vector size
  real*8, intent(in) :: te(n)  ! electron temperature(s)  KeV
 
  real*8, intent(out) :: sigv(n)  ! <sigma*v> value(s) returned  m**3/sec
 
  !-----------------------
 
  if(hatom_flag.eq.0) call hatom_init
 
  call ei_sigvte_sigmatimesv(Lreco_H_e,te,sigv,n)
 
end subroutine sigvte_reco
